-------------------
-- General stuff --
-------------------
local itemLink = function(ID)
	local _,iLink = GetItemInfo(ID)
	return iLink
end

Icon = {
	["Bc"] = "|TInterface\\AddOns\\TestingAddon\\Images\\bc.tga:18:36:0:|t",
	["Wrath"] = "|TInterface\\AddOns\\TestingAddon\\Images\\wrath.tga:18:36:0:|t",
	["Cata"] = "|TInterface\\AddOns\\TestingAddon\\Images\\cata.tga:18:36:0:|t",
	["Mop"] = "|TInterface\\AddOns\\TestingAddon\\Images\\mop.tga:18:36:0:|t"
}

Skill = {
	["Van"] = {
		"Skill: 1",
		"Skill: 20",
		"Skill: 25",
		"Skill: 50",
		"Skill: 75",
		"Skill: 100",
		"Skill: 125",
		"Skill: 150",
		"Skill: 175",
		"Skill: 200",
		"Skill: 225",
		"Skill: 250"
	},
	["Bc"] = {
		" Skill: 225",
		" Skill: 275",
		" Skill: 300",
		" Skill: 325"
	},
	["Wrath"] = {
		" Skill: 325",
		" Skill: 350",
		" Skill: 375",
		" Skill: 400",
		" Skill: 450"
	},
	["Cata"] = {
		" Skill: 425",
		" Skill: 450",
		" Skill: 475",
		" Skill: 500"
	},
	["Mop"] = {
		" Skill: 475",
		" Skill: 500",
		" Skill: 525",
		" Skill: 550",
		" Skill: 575",
		" Skill: 600"
	}
}

T_Text = {
	"   (100%)",
	"   (±75%)",
	"   (±50%)",
	"   (±35%)",
	"   (±25%)",
	"   (±15%)",
	"   (±5%)",
	"   (±1.5%)",
	["Disenchant"] = {
		"   (100%)",
		"   (±99,5%)",
		"   (±75%)",
		"   (±25%)",
		"   (±15%)",
		"   (±5%)",
		"   (±0.5%)"
	}
}

-----------------------
-- General stuff end --
-----------------------

------------------
-- Milling info --
------------------
T_Herb = {
	-- Pandaria herbs --
	["72234"] = { -- Green Tea Leaf
		[1] = {Icon["Mop"]..Skill["Mop"][2]};
		[2] = {1, T_Text[1]};
		[3] = {2, T_Text[5]};
	};
	["72237"] = { -- Rain Poppy
		[1] = {Icon["Mop"]..Skill["Mop"][2]};
		[2] = {1, T_Text[1]};
		[3] = {2, T_Text[5]};
	};
	["79011"] = { -- Fool's Cap
		[1] = {Icon["Mop"]..Skill["Mop"][2]};
		[2] = {1, T_Text[1]};
		[3] = {2, T_Text[3]};
	};
	["72235"] = { -- Silkweed
		[1] = {Icon["Mop"]..Skill["Mop"][2]};
		[2] = {1, T_Text[1]};
		[3] = {2, T_Text[5]};
	};
	["79010"] = { -- Snow Lily
		[1] = {Icon["Mop"]..Skill["Mop"][2]};
		[2] = {1, T_Text[1]};
		[3] = {2, T_Text[5]};
	};
	["89639"] = { -- Desecrated Herb
		[1] = {Icon["Mop"]..Skill["Mop"][2]};
		[2] = {1, T_Text[1]};
		[3] = {2, T_Text[5]};
	};
	
	-- Cataclysm herbs --
	
	["52987"] = { -- Twilight Jasmine
		[1] = {Icon["Cata"]..Skill["Cata"][3]};
		[2] = {3, T_Text[1]};
		[3] = {4, T_Text[3]};
	};
	["52988"] = { -- Whiptail
		[1] = {Icon["Cata"]..Skill["Cata"][3]};
		[2] = {3, T_Text[1]};
		[3] = {4, T_Text[3]};
	};
	["52985"] = { -- Azshara's Veil
		[1] = {Icon["Cata"]..Skill["Cata"][2]};
		[2] = {3, T_Text[1]};
		[3] = {4, T_Text[5]};
	};
	["52986"] = { -- Heartblossom
		[1] = {Icon["Cata"]..Skill["Cata"][2]};
		[2] = {3, T_Text[1]};
		[3] = {4, T_Text[5]};
	};
	["52983"] = { -- Cinderbloom
		[1] = {Icon["Cata"]..Skill["Cata"][1]};
		[2] = {3, T_Text[1]};
		[3] = {4, T_Text[5]};
	};
	["52984"] = { -- Stormvine
		[1] = {Icon["Cata"]..Skill["Cata"][1]};
		[2] = {3, T_Text[1]};
		[3] = {4, T_Text[5]};
	};
	
	-- Wrath of the Lich King herbs --
	["36903"] = { -- Adder's Tongue
		[1] = {Icon["Wrath"]..Skill["Wrath"][1]};
		[2] = {5, T_Text[1]};
		[3] = {6, T_Text[3]};
	};
	["37921"] = { -- Deadnettle
		[1] = {Icon["Wrath"]..Skill["Wrath"][1]};
		[2] = {5, T_Text[1]};
		[3] = {6, T_Text[5]};
	};
	["39970"] = { -- Fire Leaf
		[1] = {Icon["Wrath"]..Skill["Wrath"][1]};
		[2] = {5, T_Text[1]};
		[3] = {6, T_Text[5]};
	};
	["36901"] = { -- Goldclover
		[1] = {Icon["Wrath"]..Skill["Wrath"][1]};
		[2] = {5, T_Text[1]};
		[3] = {6, T_Text[5]};
	};
	["36906"] = { -- Icethorn
		[1] = {Icon["Wrath"]..Skill["Wrath"][1]};
		[2] = {5, T_Text[1]};
		[3] = {6, T_Text[3]};
	};
	["36905"] = { -- Lichbloom
		[1] = {Icon["Wrath"]..Skill["Wrath"][1]};
		[2] = {5, T_Text[1]};
		[3] = {6, T_Text[3]};
	};
	["36907"] = { -- Talandra's Rose
		[1] = {Icon["Wrath"]..Skill["Wrath"][1]};
		[2] = {5, T_Text[1]};
		[3] = {6, T_Text[5]};
	};
	["36904"] = { -- Tiger Lily
		[1] = {Icon["Wrath"]..Skill["Wrath"][1]};
		[2] = {5, T_Text[1]};
		[3] = {6, T_Text[5]};
	};
	
	-- The Burning Crusade herbs --
	["22790"] = { -- Ancient Lichen
		[1] = {Icon["Bc"]..Skill["Bc"][2]};
		[2] = {7, T_Text[1]};
		[3] = {8, T_Text[3]};
	};
	["22786"] = { -- Dreaming Glory
		[1] = {Icon["Bc"]..Skill["Bc"][2]};
		[2] = {7, T_Text[1]};
		[3] = {8, T_Text[5]};
	};
	["22785"] = { -- Felweed
		[1] = {Icon["Bc"]..Skill["Bc"][2]};
		[2] = {7, T_Text[1]};
		[3] = {8, T_Text[5]};
	};
	["22793"] = { -- Mana Thistle
		[1] = {Icon["Bc"]..Skill["Bc"][2]};
		[2] = {7, T_Text[1]};
		[3] = {8, T_Text[3]};
	};
	["22791"] = { -- Netherbloom
		[1] = {Icon["Bc"]..Skill["Bc"][2]};
		[2] = {7, T_Text[1]};
		[3] = {8, T_Text[3]};
	};
	["22792"] = { -- Nightmare Vine
		[1] = {Icon["Bc"]..Skill["Bc"][2]};
		[2] = {7, T_Text[1]};
		[3] = {8, T_Text[3]};
	};
	["22787"] = { -- Ragveil
		[1] = {Icon["Bc"]..Skill["Bc"][2]};
		[2] = {7, T_Text[1]};
		[3] = {8, T_Text[5]};
	};
	["22789"] = { -- Terocone
		[1] = {Icon["Bc"]..Skill["Bc"][2]};
		[2] = {7, T_Text[1]};
		[3] = {8, T_Text[5]};
	};
	
	-- Vanilla herbs (Skill: 225) --
	["13467"] = { -- Icecap
		[1] = {Skill["Van"][11]};
		[2] = {9, T_Text[1]};
		[3] = {10, T_Text[3]};
	};
	["13465"] = { -- Mountain Silversage
		[1] = {Skill["Van"][11]};
		[2] = {9, T_Text[1]};
		[3] = {10, T_Text[3]};
	};
	["13466"] = { -- Sorrowmoss
		[1] = {Skill["Van"][11]};
		[2] = {9, T_Text[1]};
		[3] = {10, T_Text[3]};
	};
	["13463"] = { -- Dreamfoil
		[1] = {Skill["Van"][11]};
		[2] = {9, T_Text[1]};
		[3] = {10, T_Text[5]};
	};
	["13464"] = { -- Golden Sansam
		[1] = {Skill["Van"][11]};
		[2] = {9, T_Text[1]};
		[3] = {10, T_Text[5]};
	};
	
	-- Vanilla herbs (Skill: 175) --
	["8845"] = { -- Ghost Mushroom
		[1] = {Skill["Van"][9]};
		[2] = {11, T_Text[1]};
		[3] = {12, T_Text[3]};
	};
	["8846"] = { -- Gromsblood
		[1] = {Skill["Van"][9]};
		[2] = {11, T_Text[1]};
		[3] = {12, T_Text[3]};
	};
	["8839"] = { -- Blindweed
		[1] = {Skill["Van"][9]};
		[2] = {11, T_Text[1]};
		[3] = {12, T_Text[3]};
	};
	["8836"] = { -- Arthas' Tears
		[1] = {Skill["Van"][9]};
		[2] = {11, T_Text[1]};
		[3] = {12, T_Text[5]};
	};
	["4625"] = { -- Firebloom
		[1] = {Skill["Van"][9]};
		[2] = {11, T_Text[1]};
		[3] = {12, T_Text[5]};
	};
	["8838"] = { -- Sungrass
		[1] = {Skill["Van"][9]};
		[2] = {11, T_Text[1]};
		[3] = {12, T_Text[5]};
	};
	["8831"] = { -- Purple Lotus
		[1] = {Skill["Van"][9]};
		[2] = {11, T_Text[1]};
		[3] = {12, T_Text[5]};
	};
	
	-- Vanilla herbs (Skill: 125) --
	["3358"] = { -- Khadgar's Whisker
		[1] = {Skill["Van"][7]};
		[2] = {13, T_Text[1]};
		[3] = {14, T_Text[3]};
	};
	["3819"] = { -- Dragon's Teeth
		[1] = {Skill["Van"][7]};
		[2] = {13, T_Text[1]};
		[3] = {14, T_Text[3]};
	};
	["3821"] = { -- Goldthorn
		[1] = {Skill["Van"][7]};
		[2] = {13, T_Text[1]};
		[3] = {14, T_Text[5]};
	};
	["3818"] = { -- 
		[1] = {Skill["Van"][7]};
		[2] = {13, T_Text[1]};
		[3] = {14, T_Text[5]};
	};
	
	-- Vanilla herbs (Skill: 75) --
	["3356"] = { -- Kingsblood
		[1] = {Skill["Van"][5]};
		[2] = {15, T_Text[1]};
		[3] = {16, T_Text[3]};
	};
	["3357"] = { -- Liferoot
	[1] = {Skill["Van"][5]};
		[2] = {15, T_Text[1]};
		[3] = {16, T_Text[3]};
	};
	["3369"] = { -- Grave Moss
		[1] = {Skill["Van"][5]};
		[2] = {15, T_Text[1]};
		[3] = {16, T_Text[5]};
	};
	["3355"] = { -- Wild Steelbloom
		[1] = {Skill["Van"][5]};
		[2] = {15, T_Text[1]};
		[3] = {16, T_Text[5]};
	};
	
	-- Vanilla herbs (Skill: 25) --
	["2453"] = { -- Bruiseweed
		[1] = {Skill["Van"][3]};
		[2] = {17, T_Text[1]};
		[3] = {18, T_Text[3]};
	};
	["3820"] = { -- Stranglekelp
		[1] = {Skill["Van"][3]};
		[2] = {17, T_Text[1]};
		[3] = {18, T_Text[3]};
	};
	["2450"] = { -- Briarthorn
		[1] = {Skill["Van"][3]};
		[2] = {17, T_Text[1]};
		[3] = {18, T_Text[5]};
	};
	["785"] = { -- Mageroyal
		[1] = {Skill["Van"][3]};
		[2] = {17, T_Text[1]};
		[3] = {18, T_Text[5]};
	};
	["2452"] = { -- Swiftthistle
		[1] = {Skill["Van"][3]};
		[2] = {17, T_Text[1]};
		[3] = {18, T_Text[5]};
	};
	
	-- Vanilla herbs (Skill: 1) --
	["2449"] = { -- Earthroot
		[1] = {Skill["Van"][1]};
		[2] = {19, T_Text[1]};
	};
	["2447"] = { -- Peacebloom
		[1] = {Skill["Van"][1]};
		[2] = {19, T_Text[1]};
	};
	["765"] = { -- Silverleaf
		[1] = {Skill["Van"][1]};
		[2] = {19, T_Text[1]};
	};
}

T_Milling = {
	-- Pandaria pigments --
	itemLink(79251), -- Shadow Pigment
	itemLink(79253), -- Misty Pigment
	
	-- Cataclysm pigments --
	itemLink(61979), -- Ashen Pigment
	itemLink(61980), -- Burning Embers
	
	-- Wrath of the Lich King pigments --
	itemLink(39343), -- Azure Pigment
	itemLink(43109), -- Icy Pigment
	
	-- The Burning Crusade pigments --
	itemLink(39342), -- Nether Pigment
	itemLink(43108), -- Ebon Pigment
	
	-- Vanilla pigments (Skill: 225) --
	itemLink(39341), -- Silvery Pigment
	itemLink(43107), -- Sapphire Pigment
	
	-- Vanilla pigments (Skill: 175) --
	itemLink(39340), -- Violet Pigment
	itemLink(43106), -- Ruby Pigment
	
	-- Vanilla pigments (Skill: 125) --
	itemLink(39339), -- Emerald Pigment
	itemLink(43105), -- Indigo Pigment
	
	-- Vanilla pigments (Skill: 75) --
	itemLink(39338), -- Golden Pigment
	itemLink(43104), -- Burnt Pigment
	
	-- Vanilla pigments (Skill: 25) --
	itemLink(39334), -- Dusky Pigment
	itemLink(43103), -- Verdant Pigment
	
	-- Vanilla pigments (Skill: 1) --
	itemLink(39151) -- Alabaster Pigment
}

----------------------
-- Milling info end --
----------------------

----------------------
-- Prospecting info --
----------------------

T_Ores = {
	-- Pandaria ores --
	["72103"] = { -- White Trillium Ore
		[1] = {Icon["Mop"]..Skill["Mop"][6]};
		[2] = {1, T_Text[1]};
		[3] = {2,3,4,5,6,7,8,9,10,11,12,13, T_Text[6]};
	};
	["72094"] = { -- Black Trillium Ore
		[1] = {Icon["Mop"]..Skill["Mop"][6]};
		[2] = {1, T_Text[1]};
		[3] = {2,3,4,5,6,7,8,9,10,11,12,13, T_Text[6]};
	};
	["72093"] = { -- Kyparite
		[1] = {Icon["Mop"]..Skill["Mop"][5]};
		[2] = {1, T_Text[1]};
		[3] = {2,3,4,5,6,7, T_Text[5]};
		[4] = {8,9,10,11,12,13, T_Text[7]};
	};
	["72092"] = { -- Ghost Iron Ore
		[1] = {Icon["Mop"]..Skill["Mop"][2]};
		[2] = {1, T_Text[2]};
		[3] = {2,3,4,5,6,7, T_Text[5]};
		[4] = {8,9,10,11,12,13, T_Text[7]};
	};
	
	-- Cataclysm ores --
	["52183"] = { -- Pyrite Ore
		[1] = {Icon["Cata"]..Skill["Cata"][4]};
		[2] = {14, T_Text[1]};
		[3] = {15,16,17,18,19,20, T_Text[6]};
		[4] = {21,22,23,24,25,26, T_Text[7]};
	};
	["52185"] = { -- Elementium Ore
		[1] = {Icon["Cata"]..Skill["Cata"][3]};
		[2] = {15,16,17,18,19,20, T_Text[6]};
		[3] = {21,22,23,24,25,26, T_Text[7]};
	};
	["53038"] = { -- Obsidium Ore
		[1] = {Icon["Cata"]..Skill["Cata"][1]};
		[2] = {15,16,17,18,19,20, T_Text[5]};
		[3] = {21,22,23,24,25,26, T_Text[8]};
	};
	
	-- Wrath of the Lich King ores --
	["36910"] = { -- Titanium Ore
		[1] = {Icon["Wrath"]..Skill["Wrath"][5]};
		[2] = {27,28,29,30,31,32, T_Text[5]};
		[3] = {33,34,35,36,37,38,39,40,41,42,43,44, T_Text[7]};
	};
	["36912"] = { -- Saronite Ore
		[1] = {Icon["Wrath"]..Skill["Wrath"][4]};
		[2] = {27,28,29,30,31,32, T_Text[6]};
		[3] = {33,34,35,36,37,38, T_Text[7]};
	};
	["36909"] = { -- Cobalt Ore
		[1] = {Icon["Wrath"]..Skill["Wrath"][2]};
		[2] = {27,28,29,30,31,32, T_Text[5]};
		[3] = {33,34,35,36,37,38, T_Text[8]};
	};
	
	-- The Burning Crusade ores --
	["23425"] = { -- Adamantite Ore
		[1] = {Icon["Bc"]..Skill["Bc"][4]};
		[2] = {45, T_Text[1]};
		[3] = {46,47,48,49,50,51, T_Text[6]};
		[4] = {52,53,54,55,56,57, T_Text[7]};
	};
	["23424"] = { -- Fel Iron Ore
		[1] = {Icon["Bc"]..Skill["Bc"][2]};
		[2] = {46,47,48,49,50,51, T_Text[6]};
		[3] = {52,53,54,55,56,57, T_Text[8]};
	};
	
	-- Vanilla ores --
	["10620"] = { -- Thorium Ore
		[1] = {Skill["Van"][4]};
		[2] = {67,68,69,70, T_Text[4]};
		[3] = {65, T_Text[6]};
	};
	["3858"] = { -- Mithril Ore
		[1] = {Skill["Van"][4]};
		[2] = {64,65,66, T_Text[4]};
		[3] = {67,68,69,70, T_Text[7]};
	};
	["2772"] = { -- Iron Ore
		[1] = {Skill["Van"][4]};
		[2] = {60,63,64, T_Text[4]};
		[3] = {69,70, T_Text[7]};
	};
	["2771"] = { -- Tin Ore
		[1] = {Skill["Van"][4]};
		[2] = {60,61,62, T_Text[4]};
		[3] = {63,64,66, T_Text[7]};
	};
	["2770"] = { -- Copper Ore
		[1] = {Skill["Van"][2]};
		[2] = {58,59, T_Text[3]};
		[3] = {62, T_Text[6]};
	};
}

T_Pros = {
	-- Pandaria results --
	itemLink(90407), -- Sparkling Shard
	itemLink(76134), -- Sunstone
	itemLink(76136), -- Pandarian Garnet
	itemLink(76137), -- Alexandrite
	itemLink(76133), -- Lapis Lazuli
	itemLink(76130), -- Tiger Opal
	itemLink(76135), -- Roguestone
	itemLink(76141), -- Imperial Amethyst
	itemLink(76138), -- River's Heart
	itemLink(76142), -- Sun's Radiance
	itemLink(76139), -- Wild Jade
	itemLink(76131), -- Primordial Ruby
	itemLink(76140), -- Vermilion Onyx
	
	-- Cataclysm results --``
	itemLink(52327), -- Volatile Earth
	itemLink(52181), -- Hessonite
	itemLink(52178), -- Zephyrite
	itemLink(52177), --Carnelian
	itemLink(52180), -- Nightstone
	itemLink(52182), -- Jasper
	itemLink(52179), -- Alicite
	itemLink(52192), -- Dream Emerald
	itemLink(52190), -- Inferno Ruby
	itemLink(52195), -- Amberjewel
	itemLink(52194), -- Demonseye
	itemLink(52193), -- Ember Topaz
	itemLink(52191), -- Ocean Sapphire
	
	-- Wrath of the Lich King results --
	itemLink(36926), -- Shadow Crystal
	itemLink(36929), -- Huge Citrine
	itemLink(36923), -- Chalcedony
	itemLink(36917), -- Bloodstone
	itemLink(36932), -- Dark Jade
	itemLink(36920), -- Sun Crystal
	itemLink(36930), -- Monarch Topaz
	itemLink(36933), -- Forest Emerald
	itemLink(36924), -- Sky Sapphire
	itemLink(36921), -- Autumn's Glow
	itemLink(36918), -- Scarlet Ruby
	itemLink(36927), -- Twilight Opal
	itemLink(36931), -- Ametrine
	itemLink(36934), -- Eye of Zul
	itemLink(36922), -- King's Amber
	itemLink(36925), -- Majestic Zircon
	itemLink(36919), -- Cardinal Ruby
	itemLink(36928), -- Dreadstone
	
	-- The Burning Crusade results --
	itemLink(24243), -- Adamantite Powder
	itemLink(23112), -- Golden Draenite
	itemLink(23117), -- Azure Moonstone
	itemLink(23077), -- Blood Garnet
	itemLink(23079), -- Deep Peridot
	itemLink(21929), -- Flame Spessarite
	itemLink(23107), -- Shadow Draenite
	itemLink(23439), -- Noble Topaz
	itemLink(23440), -- Dawnstone
	itemLink(23436), -- Living Ruby
	itemLink(23441), -- Nightseye
	itemLink(23438), -- Star of Elune
	itemLink(23437), -- Talasite
	
	-- Vanilla results --
	itemLink(774), -- Malachite
	itemLink(818), -- Tigerseye
	itemLink(1705), -- Lesser Moonstone
	itemLink(1206), -- Moss Agate
	itemLink(1210), -- Shadowgem
	itemLink(1529), -- Jade
	itemLink(3864), -- Citrine
	itemLink(7910), -- Star Ruby
	itemLink(7909), -- Aquamarine
	itemLink(12799), -- Large Opal
	itemLink(12364), -- Huge Emerald
	itemLink(12361), -- Blue Sapphire
	itemLink(12800) -- Azerothian Diamond
}

--------------------------
-- Prospecting info end --
--------------------------

---------------------
-- Disenchant info --
---------------------

T_Dis_Result = {
	["Dust"] = {
		itemLink(74249), -- Spirit Dust
		itemLink(52555), -- Hypnotic Dust
		itemLink(34054), -- Infinite Dust
		itemLink(22445), -- Arcane Dust
		itemLink(16204), -- Illusion Dust
		itemLink(11176), -- Dream Dust
		itemLink(11137), -- Vision Dust
		itemLink(11083), -- Soul Dust
		itemLink(10940) -- Strange Dust
	};
	
	["Essence"] = {
		itemLink(74250), -- Mysterious Essence
		itemLink(52719), -- Greater Celestial Essence
		itemLink(52718), -- Lesser Celestial Essence
		itemLink(34055), -- Greater Cosmic Essence
		itemLink(34056), -- Lesser Cosmic Essence
		itemLink(22446), -- Greater Planar Essence
		itemLink(22447), -- Lesser Planar Essence
		itemLink(16203), -- Greater Eternal Essence
		itemLink(16202), -- Lesser Eternal Essence
		itemLink(11175), -- Greater Nether Essence
		itemLink(11174), -- Lesser Nether Essence
		itemLink(11135), -- Greater Mystic Essence
		itemLink(11134), -- Lesser Mystic Essence
		itemLink(11082), -- Greater Astral Essence
		itemLink(10998), -- Lesser Astral Essence
		itemLink(10939), -- Greater Magic Essence
		itemLink(10938) -- Lesser Magic Essence
	};
	
	["Shard"] = {
		itemLink(74247), -- Ethereal Shard
		itemLink(74252), -- Small Ethereal Shard
		itemLink(52721), -- Heavenly Shard
		itemLink(52720), -- Small Heavenly Shard
		itemLink(34052), -- Dream Shard
		itemLink(34053), -- Small Dream Shard
		itemLink(22449), -- Large Prismatic Shard
		itemLink(22448), -- Small Prismatic Shard
		itemLink(14344), -- Large Brilliant Shard
		itemLink(14343), -- Small Brilliant Shard
		itemLink(11178), -- Large Radiant Shard
		itemLink(11177), -- Small Radiant Shard
		itemLink(11139), -- Large Glowing Shard
		itemLink(11138), -- Small Glowing Shard
		itemLink(11084), -- Large Glimmering Shard
		itemLink(10978) -- Small Glimmering Shard
	};
	
	["Crystal"] = {
		itemLink(74248), -- Sha Crystal
		itemLink(52722), -- Maelstrom Crystal
		itemLink(34057), -- Abyss Crystal
		itemLink(22450), -- Void Crystal
		itemLink(20725) -- Nexus Crystal
	};
}

T_iLvl = {
	{5,15, -- Vanilla Skill: 1
		{ -- Armor
			[1] = {Skill["Van"][1]},
			[2] = {T_Dis_Result["Dust"][9]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Essence"][17]..T_Text["Disenchant"][4]}
		},
		{ -- Weapon
			[1] = {T_Dis_Result["Dust"][9]..T_Text["Disenchant"][4]},
			[2] = {T_Dis_Result["Essence"][17]..T_Text["Disenchant"][3]}
		};
	},
	{16,20, -- Vanilla Skill: 25
		{
			[1] = {Skill["Van"][3]},
			[2] = {T_Dis_Result["Dust"][9]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Essence"][16]..T_Text["Disenchant"][4]},
			[4] = {T_Dis_Result["Shard"][16]..T_Text["Disenchant"][6]}
		},
		{
			[1] = {T_Dis_Result["Dust"][9]..T_Text["Disenchant"][4]},
			[2] = {T_Dis_Result["Essence"][16]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Shard"][16]..T_Text["Disenchant"][6]}
		};
	},
	{21,25, -- Vanilla Skill: 25
		{
			[1] = {Skill["Van"][3]},
			[2] = {T_Dis_Result["Dust"][9]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Essence"][15]..T_Text["Disenchant"][4]},
			[4] = {T_Dis_Result["Shard"][16]..T_Text["Disenchant"][6]}
		},
		{
			[1] = {T_Dis_Result["Dust"][9]..T_Text["Disenchant"][4]},
			[2] = {T_Dis_Result["Essence"][15]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Shard"][16]..T_Text["Disenchant"][6]}
		},
		16,25,
		{
			[1] = {Skill["Van"][3]},
			[2] = {T_Dis_Result["Shard"][16]..T_Text["Disenchant"][1]}
		};
	},
	{26,30, -- Vanilla Skill: 50
		{
			[1] = {Skill["Van"][4]},
			[2] = {T_Dis_Result["Dust"][8]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Essence"][14]..T_Text["Disenchant"][4]},
			[4] = {T_Dis_Result["Shard"][15]..T_Text["Disenchant"][6]}
		},
		{
			[1] = {T_Dis_Result["Dust"][8]..T_Text["Disenchant"][4]},
			[2] = {T_Dis_Result["Essence"][14]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Shard"][15]..T_Text["Disenchant"][6]}
		},
		26,30,
		{
			[1] = {Skill["Van"][4]},
			[2] = {T_Dis_Result["Shard"][15]..T_Text["Disenchant"][1]}
		};
	},
	{31,35, -- Vanilla Skill: 75
		{
			[1] = {Skill["Van"][5]},
			[2] = {T_Dis_Result["Dust"][8]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Essence"][13]..T_Text["Disenchant"][4]},
			[4] = {T_Dis_Result["Shard"][14]..T_Text["Disenchant"][6]}
		},
		{
			[1] = {T_Dis_Result["Dust"][8]..T_Text["Disenchant"][4]},
			[2] = {T_Dis_Result["Essence"][13]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Shard"][14]..T_Text["Disenchant"][6]}
		},
		31,35,
		{
			[1] = {Skill["Van"][5]},
			[2] = {T_Dis_Result["Shard"][14]..T_Text["Disenchant"][1]}
		};
	},
	{36,40, -- Vanilla Skill: 100
		{
			[1] = {Skill["Van"][6]},
			[2] = {T_Dis_Result["Dust"][7]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Essence"][12]..T_Text["Disenchant"][4]},
			[4] = {T_Dis_Result["Shard"][13]..T_Text["Disenchant"][6]}
		},
		{
			[1] = {T_Dis_Result["Dust"][7]..T_Text["Disenchant"][4]},
			[2] = {T_Dis_Result["Essence"][12]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Shard"][13]..T_Text["Disenchant"][6]}
		},
		36,40,
		{
			[1] = {Skill["Van"][6]},
			[2] = {T_Dis_Result["Shard"][13]..T_Text["Disenchant"][1]}
		};
	},
	{41,45, -- Vanilla Skill: 125
		{
			[1] = {Skill["Van"][7]},
			[2] = {T_Dis_Result["Dust"][7]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Essence"][11]..T_Text["Disenchant"][4]},
			[4] = {T_Dis_Result["Shard"][12]..T_Text["Disenchant"][6]}
		},
		{
			[1] = {T_Dis_Result["Dust"][7]..T_Text["Disenchant"][4]},
			[2] = {T_Dis_Result["Essence"][11]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Shard"][12]..T_Text["Disenchant"][6]}
		},
		41,45,
		{
			[1] = {Skill["Van"][7]},
			[2] = {T_Dis_Result["Shard"][12]..T_Text["Disenchant"][1]}
		},
		40,45,
		{
			[1] = {Skill["Van"][7]},
			[2] = {T_Dis_Result["Shard"][12]..T_Text["Disenchant"][1]}
		};
	},
	{46,50, -- Vanilla Skill: 150
		{
			[1] = {Skill["Van"][8]},
			[2] = {T_Dis_Result["Dust"][6]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Essence"][10]..T_Text["Disenchant"][4]},
			[4] = {T_Dis_Result["Shard"][11]..T_Text["Disenchant"][6]}
		},
		{
			[1] = {T_Dis_Result["Dust"][6]..T_Text["Disenchant"][4]},
			[2] = {T_Dis_Result["Essence"][10]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Shard"][11]..T_Text["Disenchant"][6]}
		},
		46,50,
		{
			[1] = {Skill["Van"][8]},
			[2] = {T_Dis_Result["Shard"][11]..T_Text["Disenchant"][1]}
		},
		46,50,
		{
			[1] = {Skill["Van"][8]},
			[2] = {T_Dis_Result["Shard"][11]..T_Text["Disenchant"][1]}
		};
	},
	{51,55, -- Vanilla Skill: 175
		{
			[1] = {Skill["Van"][9]},
			[2] = {T_Dis_Result["Dust"][6]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Essence"][9]..T_Text["Disenchant"][4]},
			[4] = {T_Dis_Result["Shard"][10]..T_Text["Disenchant"][6]}
		},
		{
			[1] = {T_Dis_Result["Dust"][6]..T_Text["Disenchant"][4]},
			[2] = {T_Dis_Result["Essence"][9]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Shard"][10]..T_Text["Disenchant"][6]}
		},
		51,55,
		{
			[1] = {Skill["Van"][9]},
			[2] = {T_Dis_Result["Shard"][10]..T_Text["Disenchant"][1]}
		},
		51,55,
		{
			[1] = {Skill["Van"][9]},
			[2] = {T_Dis_Result["Shard"][10]..T_Text["Disenchant"][1]}
		};
	},
	{56,60, -- Vanilla Skill: 200
		{
			[1] = {Skill["Van"][10]},
			[2] = {T_Dis_Result["Dust"][5]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Essence"][8]..T_Text["Disenchant"][4]},
			[4] = {T_Dis_Result["Shard"][9]..T_Text["Disenchant"][6]}
		},
		{
			[1] = {T_Dis_Result["Dust"][5]..T_Text["Disenchant"][4]},
			[2] = {T_Dis_Result["Essence"][8]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Shard"][9]..T_Text["Disenchant"][6]}
		},
		56,60,
		{
			[1] = {Skill["Van"][10]},
			[2] = {T_Dis_Result["Shard"][9]..T_Text["Disenchant"][2]},
			[3] = {T_Dis_Result["Crystal"][5]..T_Text["Disenchant"][7]}
		};
	},
	{61,65, -- Vanilla Skill: 225
		{
			[1] = {Skill["Van"][11]},
			[2] = {T_Dis_Result["Dust"][5]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Essence"][8]..T_Text["Disenchant"][4]},
			[4] = {T_Dis_Result["Shard"][9]..T_Text["Disenchant"][6]}
		},
		{
			[1] = {T_Dis_Result["Dust"][5]..T_Text["Disenchant"][4]},
			[2] = {T_Dis_Result["Essence"][8]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Shard"][9]..T_Text["Disenchant"][6]}
		},
		61,65,
		{
			[1] = {Skill["Van"][11]},
			[2] = {T_Dis_Result["Shard"][9]..T_Text["Disenchant"][2]},
			[3] = {T_Dis_Result["Crystal"][5]..T_Text["Disenchant"][7]}
		},
		56,80,
		{
			[1] = {Skill["Van"][11]},
			[2] = {T_Dis_Result["Crystal"][5]..T_Text["Disenchant"][1]}
		};
	},
	{80,99, -- The Burning Crusade Skill: 225
		{
			[1] = {Icon["Bc"]..Skill["Bc"][1]},
			[2] = {T_Dis_Result["Dust"][4]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Essence"][7]..T_Text["Disenchant"][4]},
			[4] = {T_Dis_Result["Shard"][8]..T_Text["Disenchant"][6]}
		},
		{
			[1] = {T_Dis_Result["Dust"][4]..T_Text["Disenchant"][4]},
			[2] = {T_Dis_Result["Essence"][7]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Shard"][8]..T_Text["Disenchant"][6]}
		},
		66,99,
		{
			[1] = {Icon["Bc"]..Skill["Bc"][1]},
			[2] = {T_Dis_Result["Shard"][8]..T_Text["Disenchant"][2]},
			[3] = {T_Dis_Result["Crystal"][4]..T_Text["Disenchant"][7]}
		};
	},
	{100,120, -- The Burning Crusade Skill: 275
		{
			[1] = {Icon["Bc"]..Skill["Bc"][2]},
			[2] = {T_Dis_Result["Dust"][4]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Essence"][6]..T_Text["Disenchant"][4]},
			[4] = {T_Dis_Result["Shard"][7]..T_Text["Disenchant"][6]}
		},
		{
			[1] = {T_Dis_Result["Dust"][4]..T_Text["Disenchant"][4]},
			[2] = {T_Dis_Result["Essence"][6]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Shard"][7]..T_Text["Disenchant"][6]}
		},
		100,115,
		{
			[1] = {Icon["Bc"]..Skill["Bc"][2]},
			[2] = {T_Dis_Result["Shard"][7]..T_Text["Disenchant"][2]},
			[3] = {T_Dis_Result["Crystal"][4]..T_Text["Disenchant"][7]}
		},
		95,164,
		{
			[1] = {Icon["Bc"]..Skill["Bc"][3]},
			[2] = {T_Dis_Result["Crystal"][4]..T_Text["Disenchant"][1]}
		};
	},
	{130,151, -- Wrath of the Lich King Skill: 325
		{
			[1] = {Icon["Wrath"]..Skill["Wrath"][1]},
			[2] = {T_Dis_Result["Dust"][3]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Essence"][5]..T_Text["Disenchant"][4]},
			[4] = {T_Dis_Result["Shard"][6]..T_Text["Disenchant"][6]}
		},
		{
			[1] = {T_Dis_Result["Dust"][3]..T_Text["Disenchant"][4]},
			[2] = {T_Dis_Result["Essence"][5]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Shard"][6]..T_Text["Disenchant"][6]}
		},
		130,164,
		{
			[1] = {Icon["Wrath"]..Skill["Wrath"][1]},
			[2] = {T_Dis_Result["Shard"][6]..T_Text["Disenchant"][2]},
			[3] = {T_Dis_Result["Crystal"][3]..T_Text["Disenchant"][7]}
		};
	},
	{152,200, -- Wrath of the Lich King Skill: 350
		{
			[1] = {Icon["Wrath"]..Skill["Wrath"][2]},
			[2] = {T_Dis_Result["Dust"][3]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Essence"][4]..T_Text["Disenchant"][4]},
			[4] = {T_Dis_Result["Shard"][5]..T_Text["Disenchant"][6]}
		},
		{
			[1] = {T_Dis_Result["Dust"][3]..T_Text["Disenchant"][4]},
			[2] = {T_Dis_Result["Essence"][4]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Shard"][5]..T_Text["Disenchant"][6]}
		},
		165,200,
		{
			[1] = {Icon["Wrath"]..Skill["Wrath"][1]},
			[2] = {T_Dis_Result["Shard"][5]..T_Text["Disenchant"][2]},
			[3] = {T_Dis_Result["Crystal"][3]..T_Text["Disenchant"][7]}
		},
		165,264,
		{
			[1] = {Icon["Wrath"]..Skill["Wrath"][3]},
			[2] = {T_Dis_Result["Crystal"][3]..T_Text["Disenchant"][1]}
		};
	},
	{272,305, -- Cataclysm Skill: 425
		{
			[1] = {Icon["Cata"]..Skill["Cata"][1]},
			[2] = {T_Dis_Result["Dust"][2]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Essence"][3]..T_Text["Disenchant"][4]}
		},
		{
			[1] = {T_Dis_Result["Dust"][2]..T_Text["Disenchant"][4]},
			[2] = {T_Dis_Result["Essence"][3]..T_Text["Disenchant"][3]}
		},
		272,305,
		{
			[1] = {Icon["Cata"]..Skill["Cata"][2]},
			[2] = {T_Dis_Result["Shard"][4]..T_Text["Disenchant"][1]}
		};
	},
	{306,333, -- Cataclysm Skill: 475
		{
			[1] = {Icon["Cata"]..Skill["Cata"][3]},
			[2] = {T_Dis_Result["Dust"][2]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Essence"][2]..T_Text["Disenchant"][4]}
		},
		{
			[1] = {T_Dis_Result["Dust"][2]..T_Text["Disenchant"][4]},
			[2] = {T_Dis_Result["Essence"][2]..T_Text["Disenchant"][3]}
		},
		306,346,
		{
			[1] = {Icon["Cata"]..Skill["Cata"][2]},
			[2] = {T_Dis_Result["Shard"][3]..T_Text["Disenchant"][1]}
		},
		300,416,
		{
			[1] = {Icon["Cata"]..Skill["Cata"][3]},
			[2] = {T_Dis_Result["Crystal"][2]..T_Text["Disenchant"][1]}
		};
	},
	{364,437, -- Mop Skill: 475
		{
			[1] = {Icon["Mop"]..Skill["Mop"][1]},
			[2] = {T_Dis_Result["Dust"][1]..T_Text["Disenchant"][3]},
			[3] = {T_Dis_Result["Essence"][1]..T_Text["Disenchant"][4]}
		},
		{
			[1] = {T_Dis_Result["Dust"][1]..T_Text["Disenchant"][4]},
			[2] = {T_Dis_Result["Essence"][1]..T_Text["Disenchant"][3]}
		},
		393,424,
		{
			[1] = {Icon["Mop"]..Skill["Mop"][3]},
			[2] = {T_Dis_Result["Shard"][2]..T_Text["Disenchant"][1]}
		},
		420,566,
		{
			[1] = {Icon["Mop"]..Skill["Mop"][5]},
			[2] = {T_Dis_Result["Crystal"][1]..T_Text["Disenchant"][1]}
		};
	},
	{0,0,0,0, --place holders
		425,476,
		{
			[1] = {Icon["Mop"]..Skill["Mop"][4]},
			[2] = {T_Dis_Result["Shard"][1]..T_Text["Disenchant"][1], T_Dis_Result["Shard"][2]..T_Text["Disenchant"][1]}
		};
	}
}

-------------------------
-- Disenchant info end --
-------------------------