-------------------
-- General stuff --
-------------------
local itemLink = function(ID)
	local _,iLink = GetItemInfo(ID)
	return iLink
end

-----------------------
-- General stuff end --
-----------------------

---------------
-- Herb info --
---------------

T_Pigments = {
	-- Pandaria pigments --
	["79251"] = { -- Shadow Pigment
		[1] = {Icon["Mop"]..Skill["Mop"][2]};
		[2] = {1,2,3,4,5,6, T_Text[1]};
	};
	["79253"] = { -- Misty Pigment
		[1] = {Icon["Mop"]..Skill["Mop"][2]};
		[2] = {1, T_Text[3]};
		[3] = {2,3,4,5,6, T_Text[5]};
	};
	
	-- Cataclysm pigments --	
	["61979"] = { -- Ashen Pigment
		[1] = {Icon["Cata"]..Skill["Cata"][1].." - 475"};
		[2] = {7,8,9,10,11,12, T_Text[1]};
	};
	["61980"] = { -- Burning Embers
		[1] = {Icon["Cata"]..Skill["Cata"][1].." - 475"};
		[2] = {7,8, T_Text[3]};
		[3] = {9,10,11,12, T_Text[5]};
	};
	
	-- Wrath of the Lich King pigments --
	["39343"] = { -- Azure Pigment
		[1] = {Icon["Wrath"]..Skill["Wrath"][1]};
		[2] = {13,14,15,16,17,18,19,20, T_Text[1]};
	};
	["43109"] = { -- Icy Pigment
		[1] = {Icon["Wrath"]..Skill["Wrath"][1]};
		[2] = {13,14,15, T_Text[3]};
		[3] = {16,17,18,19,20, T_Text[5]};
	};
	
	-- The Burning Crusade pigments --
	["39342"] = { -- Nether Pigment
		[1] = {Icon["Bc"]..Skill["Bc"][2]};
		[2] = {21,22,23,24,25,26,27,28, T_Text[1]};
	};
	["43108"] = { -- Ebon Pigment
		[1] = {Icon["Bc"]..Skill["Bc"][2]};
		[2] = {21,22,23,24, T_Text[3]};
		[3] = {25,26,27,28, T_Text[5]};
	};
	
	-- Vanilla pigments (Skill: 225) --
	["39341"] = { -- Silvery Pigment
		[1] = {Skill["Van"][11]};
		[2] = {29,30,31,32,33, T_Text[1]};
	};
	["43107"] = { -- Sapphire Pigment
		[1] = {Skill["Van"][11]};
		[2] = {29,30,31, T_Text[3]};
		[3] = {32,33, T_Text[5]};
	};
	
	-- Vanilla pigments (Skill: 175) --
	["39340"] = { -- Violet Pigment
		[1] = {Skill["Van"][9]};
		[2] = {34,35,36,37,38,39,40, T_Text[1]};
	};
	["43106"] = { -- Ruby Pigment
		[1] = {Skill["Van"][9]};
		[2] = {34,35,36, T_Text[3]};
		[3] = {37,38,39,40, T_Text[5]};
	};
	
	-- Vanilla pigments (Skill: 125) --
	["39339"] = { -- Emerald Pigment
		[1] = {Skill["Van"][7]};
		[2] = {41,42,43,44, T_Text[1]};
	};
	["43105"] = { -- Indigo Pigment
		[1] = {Skill["Van"][7]};
		[2] = {41,42, T_Text[3]};
		[3] = {43,44, T_Text[5]};
	};
	
	-- Vanilla pigments (Skill: 75) --
	["39338"] = { -- Golden Pigment
		[1] = {Skill["Van"][5]};
		[2] = {45,46,47,48, T_Text[1]};
	};
	["43104"] = { -- Burnt Pigment
		[1] = {Skill["Van"][5]};
		[2] = {45,46, T_Text[3]};
		[3] = {47,48, T_Text[5]};
	};
	
	-- Vanilla pigments (Skill: 25) --
	["39334"] = { -- Dusky Pigment
		[1] = {Skill["Van"][3]};
		[2] = {49,50,51,52,53, T_Text[1]};
	};
	["43103"]	= { -- Verdant Pigment
		[1] = {Skill["Van"][3]};
		[2] = {49,50, T_Text[3]};
		[3] = {51,52,53, T_Text[5]};
	};
	
	-- Vanilla pigments (Skill: 1) --
	["39151"] = { -- Alabaster Pigment
		[1] = {Skill["Van"][1]};
		[2] = {54,55,56, T_Text[1]};
	};
}

T_Herb2 = {
	-- Pandaria herbs --
	itemLink(79011), -- Fool's Cap
	itemLink(72234), -- Green Tea Leaf
	itemLink(89639), -- Desecrated Herb
	itemLink(72237), -- Rain Poppy
	itemLink(72235), -- Silkweed
	itemLink(79010), -- Snow Lily
	
	-- Cataclysm herbs --
	itemLink(52987), -- Twilight Jasmine
	itemLink(52988), -- Whiptail
	itemLink(52984), -- Stormvine
	itemLink(52983), -- Cinderbloom
	itemLink(52986), -- Heartblossom
	itemLink(52985), -- Azshara's Veil
	
	-- Wrath of the Lich King herbs --
	itemLink(36903), -- Adder's Tongue
	itemLink(36906), -- Icethorn
	itemLink(36905), -- Lichbloom
	itemLink(37921), -- Deadnettle
	itemLink(39970), -- Fire Leaf
	itemLink(36901), -- Goldclover
	itemLink(36907), -- Talandra's Rose
	itemLink(36904), -- Tiger Lily
	
	-- The Burning Crusade herbs --
	itemLink(22790), -- Ancient Lichen
	itemLink(22793), -- Mana Thistle
	itemLink(22791), -- Netherbloom
	itemLink(22792), -- Nightmare Vine
	itemLink(22786), -- Dreaming Glory
	itemLink(22785), -- Felweed
	itemLink(22787), -- Ragveil
	itemLink(22789), -- Terocone
	
	-- Vanilla herbs (Skill: 225) --
	itemLink(13467), -- Icecap
	itemLink(13465), -- Mountain Silversage
	itemLink(13466), -- Sorrowmoss
	itemLink(13464), -- Golden Sansam
	itemLink(13463), -- Dreamfoil
	
	-- Vanilla herbs (Skill: 175) --
	itemLink(8839), -- Blindweed
	itemLink(8845), -- Ghost Mushroom
	itemLink(8846), -- Gromsblood
	itemLink(8831), -- Purple Lotus
	itemLink(4625), -- Firebloom
	itemLink(8838), -- Sungrass
	itemLink(8836), -- Arthas' Tears
	
	-- Vanilla herbs (Skill: 125) --
	itemLink(3819), -- Dragon's Teeth
	itemLink(3358), -- Khadgar's Whisker
	itemLink(3821), -- Goldthorn
	itemLink(3818), -- Fadeleaf
	
	-- Vanilla herbs (Skill: 75) --
	itemLink(3357), -- Liferoot
	itemLink(3356), -- Kingsblood
	itemLink(3369), -- Grave Moss
	itemLink(3355), -- Wild Steelbloom
	
	-- Vanilla herbs (Skill: 25) --
	itemLink(2453), -- Bruiseweed
	itemLink(3820), -- Stranglekelp
	itemLink(2450), -- Brairthorn
	itemLink(785), -- Mageroyal
	itemLink(2452), -- Swifthistle
	
	-- Vanilla herbs (Skill: 1) --
	itemLink(2449), -- Earthroot
	itemLink(2447), -- Peacebloom
	itemLink(765) -- Silverleaf
}

-------------------
-- Herb info end --
-------------------

---------------
-- Ores info --
---------------

T_Gems = {
	-- Pandaria gems --
	["90407"] = { -- Sparkling Shard
		[1] = {Icon["Mop"]..Skill["Mop"][2].." - 600"};
		[2] = {1,2,3, T_Text[1]};
		[3] = {4, T_Text[2]};
	};
	["76134"] = { -- Sunstone
		[1] = {Icon["Mop"]..Skill["Mop"][2].." - 600"};
		[2] = {1,2,3, T_Text[1]};
		[3] = {4, T_Text[2]};
	};
	["76136"] = { -- Pandarian Garnet
		[1] = {Icon["Mop"]..Skill["Mop"][2].." - 600"};
		[2] = {1,2,3, T_Text[1]};
		[3] = {4, T_Text[2]};
	};
	["76137"] = { -- Alexandrite
		[1] = {Icon["Mop"]..Skill["Mop"][2].." - 600"};
		[2] = {1,2,3, T_Text[1]};
		[3] = {4, T_Text[2]};
	};
	["76133"] = { -- Lapis Lazuli
		[1] = {Icon["Mop"]..Skill["Mop"][2].." - 600"};
		[2] = {1,2,3, T_Text[1]};
		[3] = {4, T_Text[2]};
	};
	["76130"] = { -- Tiger Opal
		[1] = {Icon["Mop"]..Skill["Mop"][2].." - 600"};
		[2] = {1,2,3, T_Text[1]};
		[3] = {4, T_Text[2]};
	};
	["76135"] = { -- Roguestone
		[1] = {Icon["Mop"]..Skill["Mop"][2].." - 600"};
		[2] = {1,2,3, T_Text[1]};
		[3] = {4, T_Text[2]};
	};
	["76141"] = { -- Imperial Amethyst
		[1] = {Icon["Mop"]..Skill["Mop"][2].." - 600"};
		[2] = {1,2, T_Text[6]};
		[3] = {3,4, T_Text[7]};
	};
	["76138"] = { -- River's Heart
		[1] = {Icon["Mop"]..Skill["Mop"][2].." - 600"};
		[2] = {1,2, T_Text[6]};
		[3] = {3,4, T_Text[7]};
	};
	["76142"] = { -- Sun's Radiance
		[1] = {Icon["Mop"]..Skill["Mop"][2].." - 600"};
		[2] = {1,2, T_Text[6]};
		[3] = {3,4, T_Text[7]};
	};
	["76139"] = { -- Wild Jade
		[1] = {Icon["Mop"]..Skill["Mop"][2].." - 600"};
		[2] = {1,2, T_Text[6]};
		[3] = {3,4, T_Text[7]};
	};
	["76131"] = { -- Primordial Ruby
		[1] = {Icon["Mop"]..Skill["Mop"][2].." - 600"};
		[2] = {1,2, T_Text[6]};
		[3] = {3,4, T_Text[7]};
	};
	["76140"] = { -- Vermilion Onyx
		[1] = {Icon["Mop"]..Skill["Mop"][2].." - 600"};
		[2] = {1,2, T_Text[6]};
		[3] = {3,4, T_Text[7]};
	};
	
	-- Cataclysm gems --
	["52327"] = { -- Volatile Earth
		[1] = {Icon["Cata"]..Skill["Cata"][1].." - 500"};
		[2] = {5, T_Text[1]};
	};
	["52181"] = { -- Hessonite
		[1] = {Icon["Cata"]..Skill["Cata"][1].." - 500"};
		[2] = {7, T_Text[5]};
		[3] = {5,6, T_Text[6]};
	};
	["52178"] = { -- Zephyrite
		[1] = {Icon["Cata"]..Skill["Cata"][1].." - 500"};
		[2] = {7, T_Text[5]};
		[3] = {5,6, T_Text[6]};
	};
	["52177"] = { -- Carnelian
		[1] = {Icon["Cata"]..Skill["Cata"][1].." - 500"};
		[2] = {7, T_Text[5]};
		[3] = {5,6, T_Text[6]};
	};
	["52180"] = { -- Nightstone
		[1] = {Icon["Cata"]..Skill["Cata"][1].." - 500"};
		[2] = {7, T_Text[5]};
		[3] = {5,6, T_Text[6]};
	};
	["52182"] = { -- Jasper
		[1] = {Icon["Cata"]..Skill["Cata"][1].." - 500"};
		[2] = {7, T_Text[5]};
		[3] = {5,6, T_Text[6]};
	};
	["52179"] = { -- Alicite
		[1] = {Icon["Cata"]..Skill["Cata"][1].." - 500"};
		[2] = {7, T_Text[5]};
		[3] = {5,6, T_Text[6]};
	};
	["52192"] = { -- Dream Emerald
		[1] = {Icon["Cata"]..Skill["Cata"][1].." - 500"};
		[2] = {5,6, T_Text[7]};
		[3] = {7, T_Text[8]};
	};
	["52190"] = { -- Inferno Ruby
		[1] = {Icon["Cata"]..Skill["Cata"][1].." - 500"};
		[2] = {5,6, T_Text[7]};
		[3] = {7, T_Text[8]};
	};
	["52195"] = { -- Amberjewel
		[1] = {Icon["Cata"]..Skill["Cata"][1].." - 500"};
		[2] = {5,6, T_Text[7]};
		[3] = {7, T_Text[8]};
	};
	["52194"] = { -- Demonseye
		[1] = {Icon["Cata"]..Skill["Cata"][1].." - 500"};
		[2] = {5,6, T_Text[7]};
		[3] = {7, T_Text[8]};
	};
	["52193"] = { -- Ember Topaz
		[1] = {Icon["Cata"]..Skill["Cata"][1].." - 500"};
		[2] = {5,6, T_Text[7]};
		[3] = {7, T_Text[8]};
	};
	["52191"] = { -- Ocean Sapphire
		[1] = {Icon["Cata"]..Skill["Cata"][1].." - 500"};
		[2] = {5,6, T_Text[7]};
		[3] = {7, T_Text[8]};
	};
	
	-- Wrath of the Lich King gems --
	["36926"] = { -- Shadow Crystal
		[1] = {Icon["Wrath"]..Skill["Wrath"][2].." - 450"};
		[2] = {10,8, T_Text[5]};
		[3] = {9, T_Text[6]};
	};
	["36929"] = { -- Huge Citrine
		[1] = {Icon["Wrath"]..Skill["Wrath"][2].." - 450"};
		[2] = {10,8, T_Text[5]};
		[3] = {9, T_Text[6]};
	};
	["36923"] = { -- Chalcedony
		[1] = {Icon["Wrath"]..Skill["Wrath"][2].." - 450"};
		[2] = {10,8, T_Text[5]};
		[3] = {9, T_Text[6]};
	};
	["36917"] = { -- Bloodstone
		[1] = {Icon["Wrath"]..Skill["Wrath"][2].." - 450"};
		[2] = {10,8, T_Text[5]};
		[3] = {9, T_Text[6]};
	};
	["36932"] = { -- Dark Jade
		[1] = {Icon["Wrath"]..Skill["Wrath"][2].." - 450"};
		[2] = {10,8, T_Text[5]};
		[3] = {9, T_Text[6]};
	};
	["36920"] = { -- Sun Crystal
		[1] = {Icon["Wrath"]..Skill["Wrath"][2].." - 450"};
		[2] = {10,8, T_Text[5]};
		[3] = {9, T_Text[6]};
	};
	["36930"] = { -- Monarch Topaz
		[1] = {Icon["Wrath"]..Skill["Wrath"][2].." - 450"};
		[2] = {8,9, T_Text[7]};
		[3] = {10, T_Text[8]};
	};
	["36933"] = { -- Forest Emerald
		[1] = {Icon["Wrath"]..Skill["Wrath"][2].." - 450"};
		[2] = {8,9, T_Text[7]};
		[3] = {10, T_Text[8]};
	};
	["36924"] = { -- Sky Sapphire
		[1] = {Icon["Wrath"]..Skill["Wrath"][2].." - 450"};
		[2] = {8,9, T_Text[7]};
		[3] = {10, T_Text[8]};
	};
	["36921"] = { -- Autumn's Glow
		[1] = {Icon["Wrath"]..Skill["Wrath"][2].." - 450"};
		[2] = {8,9, T_Text[7]};
		[3] = {10, T_Text[8]};
	};
	["36918"] = { -- Scarlet Ruby
		[1] = {Icon["Wrath"]..Skill["Wrath"][2].." - 450"};
		[2] = {8,9, T_Text[7]};
		[3] = {10, T_Text[8]};
	};
	["36927"] = { -- Twilight Opal
		[1] = {Icon["Wrath"]..Skill["Wrath"][2].." - 450"};
		[2] = {8,9, T_Text[7]};
		[3] = {10, T_Text[8]};
	};
	["36931"] = { -- Ametrine
		[1] = {Icon["Wrath"]..Skill["Wrath"][5]};
		[2] = {8, T_Text[7]};
	};
	["36934"] = { -- Eye of Zul
		[1] = {Icon["Wrath"]..Skill["Wrath"][5]};
		[2] = {8, T_Text[7]};
	};
	["36922"] = { -- King's Amber
		[1] = {Icon["Wrath"]..Skill["Wrath"][5]};
		[2] = {8, T_Text[7]};
	};
	["36925"] = { -- Majestic Zircon
		[1] = {Icon["Wrath"]..Skill["Wrath"][5]};
		[2] = {8, T_Text[7]};
	};
	["36919"] = { -- Cardinal Ruby
		[1] = {Icon["Wrath"]..Skill["Wrath"][5]};
		[2] = {8, T_Text[7]};
	};
	["36928"] = { -- Dreadstone
		[1] = {Icon["Wrath"]..Skill["Wrath"][5]};
		[2] = {8, T_Text[7]};
	};
	
	-- The Burning Crusade gems --
	["24243"] = { -- Adamantite Powder
		[1] = {Icon["Bc"]..Skill["Bc"][4]};
		[2] = {11, T_Text[1]};
	};
	["23112"] = { -- Golden Draenite
		[1] = {Icon["Bc"]..Skill["Bc"][2].." - 325"};
		[2] = {11,12, T_Text[6]};
	};
	["23117"] = { -- Azure Moonstone
		[1] = {Icon["Bc"]..Skill["Bc"][2].." - 325"};
		[2] = {11,12, T_Text[6]};
	};
	["23077"] = { -- Blood Garnet
		[1] = {Icon["Bc"]..Skill["Bc"][2].." - 325"};
		[2] = {11,12, T_Text[6]};
	};
	["23079"] = { -- Deep Peridot
		[1] = {Icon["Bc"]..Skill["Bc"][2].." - 325"};
		[2] = {11,12, T_Text[6]};
	};
	["21929"] = { -- Flame Spessarite
		[1] = {Icon["Bc"]..Skill["Bc"][2].." - 325"};
		[2] = {11,12, T_Text[6]};
	};
	["23107"] = { -- Shadow Draenite
		[1] = {Icon["Bc"]..Skill["Bc"][2].." - 325"};
		[2] = {11,12, T_Text[6]};
	};
	["23439"] = { -- Noble Topaz
		[1] = {Icon["Bc"]..Skill["Bc"][2].." - 325"};
		[2] = {11, T_Text[7]};
		[3] = {12, T_Text[8]};
	};
	["23440"] = { -- Dawnstone
		[1] = {Icon["Bc"]..Skill["Bc"][2].." - 325"};
		[2] = {11, T_Text[7]};
		[3] = {12, T_Text[8]};
	};
	["23436"] = { -- Living Ruby
		[1] = {Icon["Bc"]..Skill["Bc"][2].." - 325"};
		[2] = {11, T_Text[7]};
		[3] = {12, T_Text[8]};
	};
	["23441"] = { -- Nightseye
		[1] = {Icon["Bc"]..Skill["Bc"][2].." - 325"};
		[2] = {11, T_Text[7]};
		[3] = {12, T_Text[8]};
	};
	["23438"] = { -- Star of Elune
		[1] = {Icon["Bc"]..Skill["Bc"][2].." - 325"};
		[2] = {11, T_Text[7]};
		[3] = {12, T_Text[8]};
	};
	["23437"] = { -- Talasite
		[1] = {Icon["Bc"]..Skill["Bc"][2].." - 325"};
		[2] = {11, T_Text[7]};
		[3] = {12, T_Text[8]};
	};
	
	-- Vanilla gems --
	["12800"] = { -- Azerothian Diamond
		[1] = {Skill["Van"][9].." - 250"};
		[2] = {13, T_Text[4]};
		[3] = {14, T_Text[8]};
	};
	["12361"] = { -- Blue Sapphire
		[1] = {Skill["Van"][9].." - 250"};
		[2] = {13, T_Text[4]};
		[3] = {14, T_Text[8]};
	};
	["12364"] = { -- Huge Emerald
		[1] = {Skill["Van"][9].." - 250"};
		[2] = {13, T_Text[4]};
		[3] = {14, T_Text[8]};
	};
	["12799"] = { -- Large Opal
		[1] = {Skill["Van"][9].." - 250"};
		[2] = {13, T_Text[4]};
		[3] = {14, T_Text[8]};
	};
	["7910"] = { -- Star Ruby
		[1] = {Skill["Van"][7].." - 250"};
		[2] = {14, T_Text[4]};
		[3] = {13, T_Text[7]};
		[4] = {15, T_Text[8]};
	};
	["7909"] = { -- Aquamarine
		[1] = {Skill["Van"][4].." - 175"};
		[2] = {14, T_Text[4]};
		[3] = {15,16, T_Text[7]};
	};
	["3864"] = { -- Citrine
		[1] = {Skill["Van"][4].." - 175"};
		[2] = {14,15, T_Text[4]};
		[3] = {16, T_Text[7]};
	};
	["1529"] = { -- Jade
		[1] = {Skill["Van"][4].." - 125"};
		[2] = {15, T_Text[4]};
		[3] = {16, T_Text[7]};
	};
	["1705"] = { -- Lesser Moonstone
		[1] = {Skill["Van"][4].." - 125"};
		[2] = {15,16, T_Text[4]};
	};
	["1206"] = { -- Moss Agate
		[1] = {Skill["Van"][4]};
		[2] = {16, T_Text[4]};
	};
	["1210"] = { -- Shadowgem
		[1] = {Skill["Van"][1].." - 50"};
		[2] = {16, T_Text[4]};
		[3] = {17, T_Text[6]};
	};
	["818"] = { -- Tigerseye
		[1] = {Skill["Van"][1]};
		[2] = {17, T_Text[3]};
	};
	["774"] = { -- Malachite
		[1] = {Skill["Van"][1]};
		[2] = {17, T_Text[3]};
	};
}

T_Ores2 = {
	-- Pandaria ores --
	itemLink(72094), -- Black Trillium Ore
	itemLink(72103), -- White Trillium Ore
	itemLink(72093), -- Kyparite
	itemLink(72092), -- Ghost Iron Ore
	
	-- Cataclysm ores --``
	itemLink(52183), -- Pyrite Ore
	itemLink(52185), -- Elementium Ore
	itemLink(53038), -- Obsidium Ore
	
	-- Wrath of the Lich King ores --
	itemLink(36910), -- Titanium Ore
	itemLink(36912), -- Saronite Ore
	itemLink(36909), -- Cobalt Ore
	
	-- The Burning Crusade ores --
	itemLink(23425), -- Adamantite Ore
	itemLink(23424), -- Fel Iron Ore
	
	-- Vanilla ores --
	itemLink(10620), -- Thorium Ore
	itemLink(3858), -- Mithril Ore
	itemLink(2772), -- Iron Ore
	itemLink(2771), -- Tin Ore
	itemLink(2770) -- Copper Ore
}

-------------------
-- Ores info end --
-------------------